[lokisetup] autoupdating...

Stéphane Peter megastep at megastep.org
Thu May 18 13:01:02 EDT 2006

On May 18, 2006, at 6:29 AM, Ryan C. Gordon wrote:
> [...]
>> Question - are you finding that the gtk1 support works pretty
>> reliably on 64 bit installs?
> I hadn't heard any reports on other titles of it not working, but  
> I'll make sure to add it to the testing TODO. However, I'm building  
> the loki_setup sources from a custom script to get it to build all  
> the bits with the right GTK1/GTK2 dependencies. I noticed we link a  
> lot of unnecessary crap into the app with the ./configure script  
> (libdialog.a in the gtk build/whatever libutil is/etc). Maybe  
> that's causing the issue? I've attached the script if you want to  
> peruse or steal it.  :)

FYI, libutil is part of glibc, and has been since at least 2.0 as far  
as I know. It contains some useful functions, but I think it's mostly  
used by the PTY code used in xsu.

libdialog is of course needed for the ncurses version of the  
installer. I would think more people would be using it, although it  
also has its flaws. We'd really need to decouple the UI code from the  
installer code more to make sure all of these frontends are in sync,  

> I _have_ noticed that Postal 2 installs the "uninstall" program in  
> an "x86" dir, and then can't find it when the uninstall script  
> needs to run it unless you have previously set up a symlink by  
> hand...I'm not sure if that's been fixed in the past years. I can't  
> remember the details, but I got bit by that at some point. But its  
> gtk1 installer otherwise _does_ run on amd64 distros.
> --ryan.
> <build-just-this-on-linux.sh>

Stéphane Peter
megastep at megastep.org

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://icculus.org/pipermail/lokisetup/attachments/20060518/793bdec3/attachment.htm>

More information about the Lokisetup mailing list